<template>
    <NavBar title="阅读" />

    <view class="content" v-if="info">
        <view class="symbol">
            <wd-text :text="info.symbol" size="96rpx" bold color="#333" />
            <wd-text :text="info.name" size="48rpx" bold color="#333" />

        </view>

        <view class="desc">
            <ua-markdown :source="info.desc" />
        </view>
    </view>

    <view v-else class="page">
        <wd-status-tip image="https://asstes.snhaenigseal.cn/images/wot/content.png" tip="暂无内容" />
    </view>

</template>

<script setup lang="ts">
import NavBar from '@/components/NavBar.vue'
import { getZhouDetail } from '@/api/index'
import { onLoad } from '@dcloudio/uni-app';

const info = ref(null)

onLoad((e) => {
    if (e.id) {
        getZhouDetail({
            id: e.id
        }).then(res => {
            info.value = res.data
        })
    }
    if (e.name) {
        getZhouDetail({
            name: e.name
        }).then(res => {
            info.value = res.data[0]
        })
    }
    
})
</script>

<style scoped lang="scss">

.content {
    height: auto;
}

.symbol {
    display: flex;
    flex-flow: column nowrap;
    gap: 16rpx;
    align-items: center;
    margin: 16rpx 0;
}
.desc {
    border-radius: 16rpx;
    margin: 32rpx;
    padding: 32rpx;
    background-color: #fff;
}
</style>